My Account     Contact Us     Cart

MAPublisher Compatibility


MAPublisher Compatibility by Adobe Illustrator


  • +Not compatible with Adobe Illustrator CC 2015.3. Update to latest MAPublisher release.

  • Contact your local Avenza reseller before purchasing MAPublisher if you intend to use it with a non-English version Adobe Illustrator.

  • See the latest MAPublisher system requirements.

  • See list of MAPublisher supported formats.

  • See how MAPublisher supports Unicode character encoding.

MAPublisher

Adobe Illustrator

CC 2017CC 2015CC 2014CCCS6CS5
9.9
9.8
9.7+
9.6+
9.5
9.3 & 9.4
9.0 to 9.2
8.5 to 8.7

MAPublisher Compatibility by Operating System


  • Mac OS X 10.10 and 10.11 users, see Mac OS X Hidden Dialog Box Issue Fix.

  • Contact us if you require information about older versions of MAPublisher.

MAPublisher

Operating System

WindowsMac
1087VistaXP10.1210.1110.1010.910.810.710.6
9.8 & 9.9
9.7
9.6
9.5
9.3 & 9.4
9.2
9.1
9.0
8.6 & 8.7

MAPublisher LabelPro Licensing Configurations

Fixed licenses are node locked licenses that can only be used on one machine. See more about MAPublisher License Management.


Floating licenses allow you to place a specified number of licenses on a server that can be checked out by numerous client machines. All floating licenses are created by Avenza Sales and cannot be created or retrieved from the licensing server through the MAPublisher License Management dialog box.


Supported licensing configurations can be registered and the licenses retrieved through the MAPublisher License Management dialog.


Unsupported licensing configurations cannot be used and will not work with MAPublisher and LabelPro.


Restricted licensing configurations cannot be registered and the licenses cannot be retrieved through the MAPublisher License Management dialog. Please contact Avenza for more information.



  • MAPublisher LabelPro may not be compatible with third-party font managers.

MAPublisher License

MAPublisher LabelPro License

Permanent FloatingEvaluation FloatingPermanent FixedEvaluation Floating
Permanent Floating
Evaluation Floating
Permanent Fixed
Evaluation Floating

MAPublisher FME Auto Configurations

* MAPublisher must be extended by FME (see the FME Integration Console)


No, unless MAPublisher is extended by another FME 32-bit install option or the 32-bit redistributable package is installed.


No, unless MAPublisher is extended by another FME 64-bit install option or the 64-bit redistributable package is installed.

Adobe Illustrator / MAPublisher

FME Desktop

32-bit64-bit
32-bit*
64-bit*

MAPublisher Spatial Database Compatibility

Esri ArcGIS must be installed to import geodatabases (the only exceptions are the Basic and File Personal Geodatabase formats which do not require any ArcGIS license at all).


Windows 64-bit users who want to have full geodatabase support will need to install a 32-bit version of Adobe Illustrator CC (2014 or newer) separately because the Adobe Creative Cloud app doesn't include it. Esri geodatabase libraries required for feature class import in MAPublisher are only available in 32-bit.


As a minimum, a free Esri ArcReader license allows users to access feature classes using the Basic ArcSDE Server format, with some limitations on the selection functions.


The connection to a ArcSDE server requires server access, user account and versioning information to be provided by the database administrator. ArcSDE connections are supported up to ArcGIS 10.2. Depending on your available minimum Esri license and operating system, certain limitations may exist. See more about importing spatial databases into MAPublisher.

MAPublisher
Geodatabase Import Format

Minimum Esri
License Required

Supported
Operating System

Basic ArcSDE ServerArcReader
Basic File Geodatabase ReaderNone
Basic Personal Geodatabase ReaderNone
Esri ArcSDE GeodatabaseArcView, ArcEditor or ArcInfo
Esri File GeodatabaseArcView, ArcEditor or ArcInfo
Esri Personal GeodatabaseArcView, ArcEditor or ArcInfo